Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class MemberChooser

    java.lang.Object
      com.atomikos.beans.MemberChooser

    public class MemberChooser

extends Object

This class offers a GUI dialog for choosing methods, constructors or fields from a given class. Its behaviour can be customized by providing a MemberFilter that restricts the possible options.

Constructor Summary
`MemberChooser(JFrame parent, Class clazz)`

Method Summary
`MemberFilter` | `getMemberFilter()`
`static void` | `main(String[] args)`
`void` | `setMemberFilter(MemberFilter filter)`
`Constructor` | `showConstructorsDialog(Constructor selectedConstructor)` Shows a dialog with all applicable constructors.
`Field` | `showFieldsDialog(Method selectedField)` Shows a dialog with all applicable fields.
`Method` | `showMethodsDialog(Method selectedMethod)` Shows a dialog with all the applicable methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberChooser

    public MemberChooser(JFrame parent,
                         Class clazz)

Method Detail

### setMemberFilter

    public void setMemberFilter(MemberFilter filter)

### getMemberFilter

    public MemberFilter getMemberFilter()

### showMethodsDialog

    public Method showMethodsDialog(Method selectedMethod)

  Shows a dialog with all the applicable methods.

  Parameters:
    `selectedMethod` - The method that is initially selected.
  Returns:
    Method The selected method, or null if cancelled.

### showFieldsDialog

    public Field showFieldsDialog(Method selectedField)

  Shows a dialog with all applicable fields.

  Parameters:
    `selectedField` - The initially selected field.
  Returns:
    Field The selected field, or null if cancelled.

### showConstructorsDialog

    public Constructor showConstructorsDialog(Constructor selectedConstructor)

  Shows a dialog with all applicable constructors.

  Parameters:
    `selectedConstructor` - The initially selected constructor.
  Returns:
    Constructor The constructor, or null if cancelled.

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.